> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or get shareable link for an agent version

> Generate a shareable link for a specific agent version. Returns existing link if one already exists.



## OpenAPI

````yaml post /api/v1/agent/version/{versionId}/share
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/agent/version/{versionId}/share:
    post:
      tags:
        - Agent Shares
      summary: Create or get shareable link for an agent version
      description: >-
        Generate a shareable link for a specific agent version. Returns existing
        link if one already exists.
      parameters:
        - schema:
            type: string
          required: true
          name: versionId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                secondsLimit:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
      responses:
        '200':
          description: Shareable link created or retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  shareToken:
                    type: string
                  agentVersionId:
                    type: string
                  secondsLimit:
                    type: number
                    nullable: true
                  secondsUsed:
                    type: number
                  createdAt:
                    type: string
                required:
                  - id
                  - shareToken
                  - agentVersionId
                  - secondsLimit
                  - secondsUsed
                  - createdAt
        '201':
          description: Shareable link created or retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  shareToken:
                    type: string
                  agentVersionId:
                    type: string
                  secondsLimit:
                    type: number
                    nullable: true
                  secondsUsed:
                    type: number
                  createdAt:
                    type: string
                required:
                  - id
                  - shareToken
                  - agentVersionId
                  - secondsLimit
                  - secondsUsed
                  - createdAt
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````